Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoNthElementFitnessStat< EOT > Class Template Reference

The n_th element fitness in the population (see eoBestFitnessStat). More...

`#include <eoStat.h>`

Inheritance diagram for eoNthElementFitnessStat< EOT >:

List of all members.

## Public Types
typedef EOT::Fitness | Fitness
## Public Member Functions
| eoNthElementFitnessStat (unsigned _whichElement, std::string _description="nth element fitness")
virtual void | operator() (const std::vector< const EOT * > &_pop)
| The pure virtual function that needs to be implemented by the subclass.
virtual std::string | className (void) const
## Private Member Functions
template<class T>
void | doit (const eoPop< EOT > &_pop, eoParetoFitness< T >)
template<class T>
void | doit (const std::vector< const EOT * > &_pop, T)
## Private Attributes
unsigned | whichElement

## Detailed Description

### template<class EOT>
class eoNthElementFitnessStat< EOT >

The n_th element fitness in the population (see eoBestFitnessStat).

Definition at line 211 of file eoStat.h.

The documentation for this class was generated from the following file:

- eoStat.h